package com.ims.eval.component;

import com.ims.eval.entity.DeptAssessmentDeclaration;
import com.ims.eval.service.IDeptAssessmentDeclarationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author hlf
 * @date 2023/8/9 9:28
 * 文件说明：流程脚本事件
 */
@Component
public class NextApproverImpl {

	@Autowired
	private IDeptAssessmentDeclarationService deptAssessmentDeclarationService;

	public boolean submitTask1(String id) {
		DeptAssessmentDeclaration deptAssessmentDeclaration = deptAssessmentDeclarationService.getById(id);
		boolean flag = deptAssessmentDeclaration.getDeclarationLevel().equals(deptAssessmentDeclaration.getRatingGrade());
		return flag;
	}
}
